Dashboard
Get cookie dashboard analytics
Returns cookie-related dashboard analytics for the specified tenant and date range.
curl -X GET "https://api.neostra.io/api/v1/dashboard/cookies?tenantId=example_string&dateRange=30d" \
-H "Content-Type: application/json"
import requests
import json
url = "https://api.neostra.io/api/v1/dashboard/cookies?tenantId=example_string&dateRange=30d"
headers = {
"Content-Type": "application/json"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.neostra.io/api/v1/dashboard/cookies?tenantId=example_string&dateRange=30d", {
method: "GET",
headers: {
"Content-Type": "application/json"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.neostra.io/api/v1/dashboard/cookies?tenantId=example_string&dateRange=30d", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.neostra.io/api/v1/dashboard/cookies?tenantId=example_string&dateRange=30d')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
response = http.request(request)
puts response.body
{
"status": 200,
"message": "Success",
"data": {},
"errors": [
"example_string"
]
}
{
"error": "Bad Request",
"message": "The request contains invalid parameters or malformed data",
"code": 400,
"details": [
{
"field": "email",
"message": "Invalid email format"
}
]
}
GET
/api/v1/dashboard/cookies
GET
query
tenantIdstring
RequiredThe tenant identifier
query
dateRangestring
Date range filter for analytics data
Request Preview
Response
Response will appear here after sending the request
Query Parameters
tenantIdstring
RequiredThe tenant identifier
dateRangestring
Date range filter for analytics data
Responses
statusinteger
HTTP status code
messagestring
Response message
dataobject
Response payload
errorsstring[]
List of error details, if any
Was this page helpful?
Last updated 1 week ago
Built with Documentation.AI